#### Previous topic

scipy.sparse.linalg.aslinearoperator

#### Next topic

scipy.sparse.linalg.expm

# scipy.sparse.linalg.inv

`scipy.sparse.linalg.``inv`(A)

  Compute the inverse of a sparse matrix

  Parameters:

  A : (M,M) ndarray or sparse matrix

  > square matrix to be inverted

  Returns:

  Ainv : (M,M) ndarray or sparse matrix

  > inverse of A

  Notes

  This computes the sparse inverse of A. If the inverse of A is expected to be non-sparse, it will likely be faster to convert A to dense and use scipy.linalg.inv.

  New in version 0.12.0.